Upscale a video
curl --request POST \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
"model": "flashvsr",
"mode": "video_super_resolution",
"assets": {
"sourceVideo": "https://example.com/source.mp4"
},
"controls": {
"resolution": "4k"
}
}'import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks"
payload = {
"model": "flashvsr",
"assets": { "sourceVideo": "https://example.com/source.mp4" },
"controls": { "resolution": "4k" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'flashvsr',
assets: {sourceVideo: 'https://example.com/source.mp4'},
controls: {resolution: '4k'}
})
};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "flashvsr:550e8400-e29b-41d4-a716-446655440000",
"model": "flashvsr",
"status": "pending",
"outputs": {
"videos": [],
"images": []
},
"createdAt": "2026-06-24T08:00:00.000Z",
"updatedAt": "2026-06-24T08:00:00.000Z",
"statusUpdateTime": "2026-06-24T08:00:00.000Z"
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Video Upscale
Create a Flash VSR task
Create an asynchronous Flash VSR task to upscale a public MP4 video.
POST
/
contents
/
generations
/
tasks
Upscale a video
curl --request POST \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
"model": "flashvsr",
"mode": "video_super_resolution",
"assets": {
"sourceVideo": "https://example.com/source.mp4"
},
"controls": {
"resolution": "4k"
}
}'import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks"
payload = {
"model": "flashvsr",
"assets": { "sourceVideo": "https://example.com/source.mp4" },
"controls": { "resolution": "4k" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'flashvsr',
assets: {sourceVideo: 'https://example.com/source.mp4'},
controls: {resolution: '4k'}
})
};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "flashvsr:550e8400-e29b-41d4-a716-446655440000",
"model": "flashvsr",
"status": "pending",
"outputs": {
"videos": [],
"images": []
},
"createdAt": "2026-06-24T08:00:00.000Z",
"updatedAt": "2026-06-24T08:00:00.000Z",
"statusUpdateTime": "2026-06-24T08:00:00.000Z"
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Authorizations
A workspace API key beginning with gengen_live_.
Body
application/json
⌘I